module MvPlugin
  #
  # Plugins for moving (renaming) users.
  #

  extend Plugin::Run

  def self.runner()
    return MvRunner
  end

  def self.dummy_runner()
    return MvDummyRunner
  end

  def mv_domain(from, to)
    # Rename the given domain.
    raise NotImplementedError
  end

  def mv_user(from, to)
    # Rename the given user.
    raise NotImplementedError
  end

end
